#include <bits/stdc++.h>
using namespace std;
int n, m[100000], br, brmin=100000, brlok;
int main()
{
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cin>>n;
    for (int i=0; i<n; i++)
    {
        cin>>m[i];
    }
    int i=0;
    while (m[i+1]!=0)
    {
        i++;
        if (m[i]>m[i-1] && m[i]>m[i+1])
        {
            br-=1;
            if (br<brmin && brlok>=1)
            {
                brmin=br;
            }
            br=0;
            brlok++;
        }
        br++;
    }
    if (brlok>1)
    {
        cout<<brmin;
    }
    else
    {
        cout<<"0";
    }
    return 0;
}